package com.zyc.system.service;

import java.util.List;
import com.zyc.system.domain.Cabinets;

/**
 * 机柜信息Service接口
 * 
 * @author zyc
 * @date 2024-12-26
 */
public interface ICabinetsService 
{
    /**
     * 查询机柜信息
     * 
     * @param id 机柜信息主键
     * @return 机柜信息
     */
    public Cabinets selectCabinetsById(Integer id);

    /**
     * 查询机柜信息列表
     * 
     * @param cabinets 机柜信息
     * @return 机柜信息集合
     */
    public List<Cabinets> selectCabinetsList(Cabinets cabinets);

    /**
     * 新增机柜信息
     * 
     * @param cabinets 机柜信息
     * @return 结果
     */
    public int insertCabinets(Cabinets cabinets);

    /**
     * 修改机柜信息
     * 
     * @param cabinets 机柜信息
     * @return 结果
     */
    public int updateCabinets(Cabinets cabinets);

    /**
     * 批量删除机柜信息
     * 
     * @param ids 需要删除的机柜信息主键集合
     * @return 结果
     */
    public int deleteCabinetsByIds(Integer[] ids);

    /**
     * 删除机柜信息信息
     * 
     * @param id 机柜信息主键
     * @return 结果
     */
    public int deleteCabinetsById(Integer id);
}
